Skip to content

Get conversation

Open in ChatGPT Open in Claude
GET
/v1/conversation/{conversationId}
curl --request GET \
--url https://api.foldspace.ai/v1/conversation/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0 \
--header 'X-FOLDSPACE-API-KEY: <X-FOLDSPACE-API-KEY>'

Retrieves conversation by conversation id.

conversationId
required
string format: uuid

UUID of the conversation to retrieve

Conversation retrieved successfully

Media type application/json

AI Conversation Data Transfer Object

object
id

Unique UUID of the conversation

string format: uuid
userId

Unique user ID the conversation belongs to

string
name

Optional name/title for the conversation

string
product

Product code linked to this conversation

string
environment

Environment code (1=prod, 2=stage, 3=test, 4=dev)

integer format: int32
eventOrigin

Origin of event or chat

integer format: int32
context

AI chat context object containing relevant metadata

object
user
object
id
string
name
string
email
string
role
string
image
string
type
string
Allowed values: APP_USER SLACK FOLDSPACE_USER
signUpDaysAgo
integer format: int32
signUpDate
integer format: int64
lastSeenDaysAgo
integer format: int32
userType
string
Allowed values: ANONYMOUS LEAD USER
identifyId
string
customAttributes
object
key
additional properties
object
subscription
object
id
string
name
string
type
string
daysRemaining
integer format: int32
signUpDaysAgo
integer format: int32
identifyId
string
customAttributes
object
key
additional properties
object
company
object
id
string
name
string
industry
string
size
string
country
string
userAgent
object
raw
string
device
string
browser
string
browserVersion
string
os
string
osVersion
string
inferredLocation
object
country
string
region
string
state
string
city
string
postalCode
string
countryCode
string
quizResponses
Array<object>
object
quizId
string
quizVersion
integer format: int64
questions
Array<object>
object
id
string
text
string
type
string
answers
Array<object>
object
id
string
value
string
startTime
integer format: int64
endTime
integer format: int64
segments
Array<object>
object
id
string
name
string
description
string
startTime

Timestamp (epoch ms) when the conversation started

integer format: int64
lastInteractionTime

Timestamp (epoch ms) of the last interaction

integer format: int64
status

Current status of the conversation

string
messages

List of messages associated with this conversation

Array<object>

List of messages associated with this conversation

object
messageId
string format: uuid
timestamp
integer format: int64
sender
string
text
string
feedback
object
user
string
Allowed values: VERY_GOOD GOOD NEUTRAL BAD VERY_BAD
userReason
string
Allowed values: ANSWER_INCORRECT ANSWER_NOT_CLEAR ANSWER_DOES_NOT_ADDRESS_QUESTION MORE_INFORMATION_REQUIRED
foldspaceUser
string
Allowed values: VERY_GOOD GOOD NEUTRAL BAD VERY_BAD
foldspaceUserComment
string
userId
string
timestamp
integer format: int64
copilotId

ID of the AI copilot assigned to the conversation

string
copilotApiName

API name used by copilot (e.g., ChatGPT)

string
lastModifiedDate

System-managed last modification date (epoch ms)

integer format: int64
version

Version of the conversation object

integer format: int64
channel

Channel through which the conversation is happening (WEB, MOBILE, etc.)

string
Allowed values: WIDGET SLACK PLAYGROUND
read
boolean
Example
{
"userId": "user_1234",
"name": "Customer Support Chat",
"product": "X7B69NRTTBM7",
"environment": 1,
"eventOrigin": 100,
"context": {
"user": {
"type": "APP_USER",
"userType": "ANONYMOUS"
}
},
"startTime": 1734539909141,
"lastInteractionTime": 1734539999999,
"status": "ACTIVE",
"messages": [
{
"feedback": {
"user": "VERY_GOOD",
"userReason": "ANSWER_INCORRECT",
"foldspaceUser": "VERY_GOOD"
}
}
],
"copilotId": "cp_789",
"lastModifiedDate": 1734539999999,
"version": 1,
"channel": "WIDGET"
}

Unauthorized

Media type */*
string
Example
{
"error": "Unauthorized"
}

Conversation not found

Media type */*
string
Example
{
"error": "Conversation not found"
}

Rate limit exceeded for subscription

Media type */*
string
Example
{
"error": "Rate limit exceeded for subscription"
}

Internal server error

Media type */*
string
Example
{
"error": "Internal server error"
}